From f4b614fb10b24d89bf814fabb4f75faf81fd269c Mon Sep 17 00:00:00 2001
From: Kalle Valo <kvalo@codeaurora.org>
Date: Mon, 20 Jun 2016 21:15:58 +0300
Subject: [PATCH 3/8] cmdtests: rename list.script to cmd-commit.script

This test really tests commit command so reflect that in the name.

Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---

Copyright (c) 2016, The Linux Foundation.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 cmdtests/cmd-commit.script |   57 +++++++++++++++++++++++++++++++++++++++++++
 cmdtests/cmd-commit.stdout |   58 ++++++++++++++++++++++++++++++++++++++++++++
 cmdtests/list.script       |   57 -------------------------------------------
 cmdtests/list.stdout       |   58 --------------------------------------------
 4 files changed, 115 insertions(+), 115 deletions(-)
 create mode 100755 cmdtests/cmd-commit.script
 create mode 100644 cmdtests/cmd-commit.stdout
 delete mode 100755 cmdtests/list.script
 delete mode 100644 cmdtests/list.stdout

diff --git a/cmdtests/cmd-commit.script b/cmdtests/cmd-commit.script
new file mode 100755
index 000000000000..babda7e936d4
--- /dev/null
+++ b/cmdtests/cmd-commit.script
@@ -0,0 +1,57 @@
+#!/usr/bin/env python
+#
+# Copyright (c) 2016, The Linux Foundation.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# 3. Neither the name of the copyright holder nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+import cmdtestlib
+
+def main():
+   ctxt = cmdtestlib.StubContext(start=True)
+   pwcli = ctxt.pwcli
+
+   pwcli.expect_prompt()
+   pwcli.sendline('list')
+   pwcli.expect_prompt()
+   pwcli.sendline('commit 1')
+   pwcli.expect(cmdtestlib.PROMPT_COMMIT_ALL)
+   pwcli.sendline('a')
+   pwcli.expect(cmdtestlib.PROMPT_COMMIT_ACCEPT)
+   pwcli.sendline('a')
+
+   pwcli.expect_prompt()
+   pwcli.sendline('quit')
+
+   print ctxt.smtpd.get_mails_as_string()
+
+   ctxt.stop_and_cleanup()
+
+if __name__ == "__main__":
+   main()
diff --git a/cmdtests/cmd-commit.stdout b/cmdtests/cmd-commit.stdout
new file mode 100644
index 000000000000..4c9d3fb9fc90
--- /dev/null
+++ b/cmdtests/cmd-commit.stdout
@@ -0,0 +1,58 @@
+Connecting to http://localhost:8000/
+User          : test (7477, 30052, 118371)
+Projects      : stub-test
+Tree          : data
+Branch        : test-branch
+New           : 1
+Review        : 2
+Upstream      : 0
+Deferred      : 1
+Total         : 4
+test-branch@data > list
+list
+[  1] 1001 [1/7] foo: test 1
+[  2] 1002 [1/7] foo: test 2
+test-branch@data > commit 1
+commit 1
+Retrieving patches (1/1) 
+1001 [1/7] foo: test 1
+------------------------------------------------------------
+1 patches
+commit All/commit Individually/aBort? a
+a
+============================================================
+1 patches applied:
+
+fb409caeb2ec foo: test 1
+
+Accept/request Changes/Reject/Show mail/Edit mail/aBort? a
+a
+1 patches accepted, 0 skipped
+Email sent
+test-branch@data > quit
+mail 0:
+----------------------------------------------------------------------
+test@example.com -> dino@example.com
+Content-Type: text/plain; charset="utf-8"
+MIME-Version: 1.0
+Content-Transfer-Encoding: 7bit
+Subject: Re: [1/7] foo: test 1
+From: Timo Testi <test@example.com>
+In-Reply-To: <11111@example.com>
+To: Dino Dinosaurus <dino@example.com>
+
+Dino Dinosaurus <dino@example.com> wrote:
+> 
+> Foo commit log. Ignore this text
+> 
+> Signed-off-by: Dino Dinosaurus <dino@example.com>
+
+Thanks, 1 patch applied to data.git:
+
+fb409caeb2ec foo: test 1
+
+-- 
+Sent by pwcli
+http://localhost:8000/1001/
+----------------------------------------------------------------------
+
diff --git a/cmdtests/list.script b/cmdtests/list.script
deleted file mode 100755
index babda7e936d4..000000000000
--- a/cmdtests/list.script
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/usr/bin/env python
-#
-# Copyright (c) 2016, The Linux Foundation.
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions are
-# met:
-#
-# 1. Redistributions of source code must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# 2. Redistributions in binary form must reproduce the above copyright
-# notice, this list of conditions and the following disclaimer in the
-# documentation and/or other materials provided with the distribution.
-#
-# 3. Neither the name of the copyright holder nor the names of its
-# contributors may be used to endorse or promote products derived from
-# this software without specific prior written permission.
-#
-# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
-# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
-# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
-# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
-# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
-# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
-# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
-# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
-# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
-# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-#
-
-import cmdtestlib
-
-def main():
-   ctxt = cmdtestlib.StubContext(start=True)
-   pwcli = ctxt.pwcli
-
-   pwcli.expect_prompt()
-   pwcli.sendline('list')
-   pwcli.expect_prompt()
-   pwcli.sendline('commit 1')
-   pwcli.expect(cmdtestlib.PROMPT_COMMIT_ALL)
-   pwcli.sendline('a')
-   pwcli.expect(cmdtestlib.PROMPT_COMMIT_ACCEPT)
-   pwcli.sendline('a')
-
-   pwcli.expect_prompt()
-   pwcli.sendline('quit')
-
-   print ctxt.smtpd.get_mails_as_string()
-
-   ctxt.stop_and_cleanup()
-
-if __name__ == "__main__":
-   main()
diff --git a/cmdtests/list.stdout b/cmdtests/list.stdout
deleted file mode 100644
index 4c9d3fb9fc90..000000000000
--- a/cmdtests/list.stdout
+++ /dev/null
@@ -1,58 +0,0 @@
-Connecting to http://localhost:8000/
-User          : test (7477, 30052, 118371)
-Projects      : stub-test
-Tree          : data
-Branch        : test-branch
-New           : 1
-Review        : 2
-Upstream      : 0
-Deferred      : 1
-Total         : 4
-test-branch@data > list
-list
-[  1] 1001 [1/7] foo: test 1
-[  2] 1002 [1/7] foo: test 2
-test-branch@data > commit 1
-commit 1
-Retrieving patches (1/1) 
-1001 [1/7] foo: test 1
-------------------------------------------------------------
-1 patches
-commit All/commit Individually/aBort? a
-a
-============================================================
-1 patches applied:
-
-fb409caeb2ec foo: test 1
-
-Accept/request Changes/Reject/Show mail/Edit mail/aBort? a
-a
-1 patches accepted, 0 skipped
-Email sent
-test-branch@data > quit
-mail 0:
-----------------------------------------------------------------------
-test@example.com -> dino@example.com
-Content-Type: text/plain; charset="utf-8"
-MIME-Version: 1.0
-Content-Transfer-Encoding: 7bit
-Subject: Re: [1/7] foo: test 1
-From: Timo Testi <test@example.com>
-In-Reply-To: <11111@example.com>
-To: Dino Dinosaurus <dino@example.com>
-
-Dino Dinosaurus <dino@example.com> wrote:
-> 
-> Foo commit log. Ignore this text
-> 
-> Signed-off-by: Dino Dinosaurus <dino@example.com>
-
-Thanks, 1 patch applied to data.git:
-
-fb409caeb2ec foo: test 1
-
--- 
-Sent by pwcli
-http://localhost:8000/1001/
-----------------------------------------------------------------------
-
-- 
1.7.9.5

